aboutsummaryrefslogtreecommitdiffstats
path: root/main/hostapd/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'main/hostapd/APKBUILD')
-rw-r--r--main/hostapd/APKBUILD11
1 files changed, 10 insertions, 1 deletions
diff --git a/main/hostapd/APKBUILD b/main/hostapd/APKBUILD
index cf8b875648..8a4d8c5b7d 100644
--- a/main/hostapd/APKBUILD
+++ b/main/hostapd/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=hostapd
pkgver=0.7.3
-pkgrel=1
+pkgrel=2
pkgdesc="daemon for wireless software access points"
url="http://hostap.epitest.fi/hostapd/"
arch="all"
@@ -10,7 +10,9 @@ depends=
makedepends="openssl-dev libnl-dev"
install=
subpackages="$pkgname-doc"
+patches="CVE-2012-4445.patch"
source="http://hostap.epitest.fi/releases/$pkgname-$pkgver.tar.gz
+ $patches
$pkgname.initd
$pkgname.confd"
@@ -20,6 +22,12 @@ _builddir="$srcdir"/$pkgname-$pkgver/hostapd
prepare() {
local conf="$_builddir/.config"
+ cd "$_builddir"/..
+ for i in $patches; do
+ msg $i
+ patch -p1 -i "$srcdir"/$i || return 1
+ done
+
cd "$_builddir"
sed -i -e "s:/etc/hostapd:/etc/hostapd/hostapd:g" \
hostapd.conf
@@ -107,5 +115,6 @@ package() {
}
md5sums="91a7c8d0f090b7104152d3455a84c112 hostapd-0.7.3.tar.gz
+0d01d4641e0c33f79c1f4372613655bf CVE-2012-4445.patch
fdbc94a99eca18f51294b5a96136ffdf hostapd.initd
c91382209042defa04e79d0ae841a29e hostapd.confd"